package com.huyi.service.conmany.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huyi.service.base.entity.SysCompany;
import com.huyi.service.conmany.mapper.OwnCompanyManageMapper;
import com.huyi.service.conmany.service.IOwnCompanyManageService;
import com.huyi.service.rel.mapper.OwnCompanyRelMapper;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;

/**
 * ClassName: SysCompanyRelServiceImpl<br>
 * Description: ISysCompanyRelService实现 <br>
 * Company: keao
 *
 * @author songqg
 * @version v1.0.0    2021-08-16  songqg    由Generator自动创建
 */
@Service
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true, rollbackFor = Exception.class)
public class OwnCompanyManageServiceImpl extends ServiceImpl<OwnCompanyManageMapper, SysCompany> implements IOwnCompanyManageService {

    @Autowired
    private OwnCompanyManageMapper ownCompanyManageMapper;

    @Override
    public List<Map> selectInvoiceList(Map map) {
        return ownCompanyManageMapper.selectInvoiceList(map);
    }

    @Override
    public List<Map> selectUserList(Map map) {
        return ownCompanyManageMapper.selectUserList(map);
    }

    @Override
    public List<Map> selectLicenseFileList(Map map) {
        return ownCompanyManageMapper.selectLicenseFileList(map);
    }

    @Override
    public List<Map> selectLegalFileList(Map map) {
        return ownCompanyManageMapper.selectLegalFileList(map);
    }

    @Override
    public List<Map> selectLegalBackFileList(Map map) {
        return ownCompanyManageMapper.selectLegalBackFileList(map);
    }


    @Override
    public List<Map> selectAuthorizationFileList(Map map) {
        return ownCompanyManageMapper.selectAuthorizationFileList(map);
    }

    @Override
    public List<Map> selectCommitmentFileList(Map map) {
        return ownCompanyManageMapper.selectCommitmentFileList(map);
    }

    @Override
    public List<Map> selectAppendixFileList(Map map) {
        return ownCompanyManageMapper.selectAppendixFileList(map);
    }

    @Override
    public List<Map> handlerPositiveList(Map map) {
        return ownCompanyManageMapper.handlerPositiveList(map);
    }

    @Override
    public List<Map> handlerNegativeList(Map map) {
        return ownCompanyManageMapper.handlerNegativeList(map);
    }

}
